CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
csl::AmbisonicOrder Class Reference

Ambisonic order structure (separate definition for horizontal and vertical order): More...

`#include <Ambisonic.h>`

List of all members.

## Public Member Functions
| AmbisonicOrder (unsigned hOrder=0, unsigned vOrder=0)
| ~AmbisonicOrder ()

## Public Attributes
unsigned | horizontalOrder
unsigned | verticalOrder
bool | isUniform
| Returns true if horizontal and verical orders are identical.

## Detailed Description

Ambisonic order structure (separate definition for horizontal and vertical order):

Definition at line 57 of file Ambisonic.h.

## Constructor & Destructor Documentation

csl::AmbisonicOrder::AmbisonicOrder | ( | unsigned | hOrder = `0`,
|  | unsigned | vOrder = `0`
| ) |  |
| inline

Definition at line 59 of file Ambisonic.h.

csl::AmbisonicOrder::~AmbisonicOrder | ( |  | ) |
| inline

Definition at line 60 of file Ambisonic.h.

## Member Data Documentation

unsigned csl::AmbisonicOrder::horizontalOrder

Definition at line 60 of file Ambisonic.h.

Referenced by csl::AmbisonicMixer::addInput(), csl::AmbisonicUnitGenerator::channelIndexer(), csl::AmbisonicUnitGenerator::fumaEncodingWeights(), csl::AmbisonicUnitGenerator::fumaIndexedEncodingWeights(), csl::AmbisonicUnitGenerator::greaterOrder(), csl::AmbisonicMixer::initialize(), csl::AmbisonicRotator::initialize(), csl::AmbisonicDecoder::initialize(), csl::AmbisonicUnitGenerator::initOrder(), csl::AmbisonicUnitGenerator::invChannelIndexer(), csl::AmbisonicUnitGenerator::orderToChannels(), csl::AmbisonicUnitGenerator::orderToHorizontalChannels(), csl::AmbisonicRotator::rotateFirstOrderHorizontal(), and csl::AmbisonicRotator::rotateSecondOrderHorizontal().

unsigned csl::AmbisonicOrder::verticalOrder

Definition at line 63 of file Ambisonic.h.

Referenced by csl::AmbisonicMixer::addInput(), csl::AmbisonicUnitGenerator::AmbisonicUnitGenerator(), csl::AmbisonicUnitGenerator::channelIndexer(), csl::AmbisonicUnitGenerator::fumaEncodingWeights(), csl::AmbisonicUnitGenerator::fumaIndexedEncodingWeights(), csl::AmbisonicUnitGenerator::greaterOrder(), csl::AmbisonicMixer::initialize(), csl::AmbisonicRotator::initialize(), csl::AmbisonicDecoder::initialize(), csl::AmbisonicUnitGenerator::initOrder(), csl::AmbisonicUnitGenerator::invChannelIndexer(), csl::AmbisonicUnitGenerator::orderToChannels(), csl::AmbisonicUnitGenerator::orderToVerticalChannels(), and csl::AmbisonicRotator::rotateSecondOrderVertical().

bool csl::AmbisonicOrder::isUniform

Returns true if horizontal and verical orders are identical.

Definition at line 64 of file Ambisonic.h.

Referenced by csl::AmbisonicRotator::initialize(), csl::AmbisonicDecoder::initialize(), csl::AmbisonicUnitGenerator::initOrder(), csl::AmbisonicRotator::setTilt(), and csl::AmbisonicRotator::setTumble().

The documentation for this class was generated from the following file:

- CSL/Spatializers/Ambisonic/Ambisonic.h